function [x, i] = aranymetszes(f, a, b, tol)
% Az eljrs az aranymetszes mdszer segtsgvel hatrozza 
% meg egy egy vltozs nemlineris fggvny minimumuhelyt
%
% Bemen paramterek:
%   f - egyvltozs fggvny
%   a - az intervallum bal oldala
%   b - az intervallum jobb oldala
%   tol - lellsi felttel, intervallum hossza
% Kimenet:
%   x - A megolds helye
%   i - Itercik szma 

i = 1;
R = (sqrt(5)-1)/2;
x1 = b - R*(b-a);
x2 = a + R*(b-a);
f1 = f(x1); f2 = f(x2);
while abs(x2-x1) > tol 
  if f1 < f2
     b = x2;
     x2 = x1; f2 = f1; % ezt tvesszk az elz itercibl!
     x1 = b - R*(b-a);
     f1 = f(x1);    
  else
     a = x1;
     x1 = x2; f1 = f2; % ezt tvesszk az elz itercibl!
     x2 = a + R*(b-a);
     f2 = f(x2); 
  end
  i = i+1;
end  
x = (x1+x2)/2;
